## org.eclipse.datatools.connectivity.oda.design.ui.wizards
Class DataSourceEditorPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.preference.PreferencePage
              org.eclipse.ui.dialogs.PropertyPage
                  org.eclipse.datatools.connectivity.ui.wizards.ProfilePropertyPage
                      org.eclipse.datatools.connectivity.ui.wizards.ProfileDetailsPropertyPage
                          org.eclipse.datatools.connectivity.oda.design.internal.ui.DataSourceEditorPageCore
                              org.eclipse.datatools.connectivity.oda.design.ui.wizards.DataSourceEditorPage

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.preference.IPreferencePage, org.eclipse.ui.IWorkbenchPropertyPage

    public abstract class DataSourceEditorPage

extends org.eclipse.datatools.connectivity.oda.design.internal.ui.DataSourceEditorPageCore

The abstract base class for implementation of a customized ODA data source property page.
An ODA data source UI extension must extend this base class to provide customized property page with page control and related behavior, and implements the `org.eclipse.ui.propertyPages` extension point.

Field Summary

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`DataSourceEditorPage()`

Method Summary
`abstract java.util.Properties` `collectCustomProperties(java.util.Properties dataSourceProps)` Returns data source properties and corresponding values collected in custom page(s).
`java.lang.String` `getOdaDataSourceId()`

Methods inherited from class org.eclipse.datatools.connectivity.oda.design.internal.ui.DataSourceEditorPageCore
`createControl, dispose, getDataSourceProperties, getEditSessionResponse, initEditSession, initProfileSelectionEditSession, isInOdaDesignSession, performOk, refresh, setPingButtonEnabled`

Methods inherited from class org.eclipse.datatools.connectivity.ui.wizards.ProfilePropertyPage
`createControl, getConnectionProfile`

Methods inherited from class org.eclipse.ui.dialogs.PropertyPage
`getElement, setElement`

Methods inherited from class org.eclipse.jface.preference.PreferencePage
`applyData, computeSize, getContainer, getPreferenceStore, isValid, okToLeave, performCancel, performHelp, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`getControl, getDescription, getErrorMessage, getImage, getMessage, getMessageType, getShell, getTitle, setDescription, setImageDescriptor, setMessage, setVisible`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.preference.IPreferencePage
`computeSize, isValid, okToLeave, performCancel, setContainer, setSize`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

Constructor Detail

### DataSourceEditorPage

    public DataSourceEditorPage()

Method Detail

### collectCustomProperties

    public abstract java.util.Properties collectCustomProperties(java.util.Properties dataSourceProps)

  Returns data source properties and corresponding values collected in custom page(s).

  Parameters:
    `dataSourceProps` - the current set of custom and inherited properties, before any updates in this page
  Returns:
    the updated data source properties and corresponding values

### getOdaDataSourceId

    public java.lang.String getOdaDataSourceId()

  Overrides:
    `getOdaDataSourceId` in class `org.eclipse.datatools.connectivity.oda.design.internal.ui.DataSourceEditorPageCore`